### Hierarchy

- SessionTimer

## Index

### Constructors

- constructor

### Properties

- checkIntervalMillis
- onSessionExpired
- remainingSessionTimeFn
- sessionInterval

### Methods

- resetSessionTimer
- stopSessionTimer

## Constructors

### constructor

- new SessionTimer(remainingSessionTimeFn: function, checkIntervalMillis: number, onSessionExpired: function): SessionTimer

- - Defined in util/SessionTimer.ts:9

  #### Parameters

  - ##### remainingSessionTimeFn: function

    - - (): number

      - #### Returns number

  - ##### checkIntervalMillis: number

  - ##### onSessionExpired: function

    - - (): void

      - #### Returns void

  #### Returns SessionTimer

## Properties

### Private checkIntervalMillis

checkIntervalMillis: number

- Defined in util/SessionTimer.ts:12

### Private onSessionExpired

onSessionExpired: function

- Defined in util/SessionTimer.ts:13

#### Type declaration

- - (): void

  - #### Returns void

### Private remainingSessionTimeFn

remainingSessionTimeFn: function

- Defined in util/SessionTimer.ts:11

#### Type declaration

- - (): number

  - #### Returns number

### Private sessionInterval

sessionInterval: any

- Defined in util/SessionTimer.ts:9

## Methods

### resetSessionTimer

- resetSessionTimer(): void

- - Defined in util/SessionTimer.ts:17

  #### Returns void

### stopSessionTimer

- stopSessionTimer(): void

- - Defined in util/SessionTimer.ts:28

  #### Returns void

Generated using TypeDoc